Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.util
Class SimplePool

    java.lang.Object
      |
      +--org.apache.jasper.util.SimplePool

public final class SimplePool
extends java.lang.Object

Simple object pool. Based on ThreadPool and few other classes The pool will ignore overflow and return null if empty.

Author:
  Gal Shachor, Costin

Field Summary
`static int` | `DEFAULT_SIZE`

Constructor Summary
`SimplePool()`
`SimplePool(int max)`

Method Summary
`java.lang.Object` | `get()` Get an object from the pool, null if the pool is empty.
`int` | `getMax()` Return the size of the pool
`void` | `put(java.lang.Object o)` Add the object to the pool, silent nothing if the pool is full
`void` | `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

See Also:
  Constant Field Values

Constructor Detail

### SimplePool

    public SimplePool()

### SimplePool

    public SimplePool(int max)

Method Detail

### set

    public void set(java.lang.Object o)

### put

    public void put(java.lang.Object o)

  Add the object to the pool, silent nothing if the pool is full

### get

    public java.lang.Object get()

  Get an object from the pool, null if the pool is empty.

### getMax

    public int getMax()

  Return the size of the pool

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.